## plum tools-0.2.0.dev0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
--index-url https://mirrors.aliyun.com/pypi/simple
--trusted-host mirrors.aliyun.com
--trusted-host pypi.org

bcrypt==3.2.0             # via paramiko
cffi==1.14.2              # via bcrypt, cryptography, pynacl
contextlib2==0.6.0.post1  # via schema
cryptography==3.1         # via paramiko
paramiko==2.7.2           # via -r requirements.in
pycparser==2.20           # via cffi
pynacl==1.4.0             # via paramiko
pyyaml==5.3.1             # via -r requirements.in
schema==0.7.3             # via -r requirements.in
six==1.15.0               # via -r requirements.in, bcrypt, cryptography, pynacl

## plum 2.33.1

=== debian/changelog ===
plum (1:2.33.1-2) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 4.1.1
    - set Multi-Arch: allowed

 -- Hideki Yamane <henrich@debian.org>  Sun, 29 Oct 2017 03:32:24 +0900

plum (1:2.33.1-1) unstable; urgency=medium

  * New maintainer (Closes: #839675)
  * debian/control
    - set Standards-Version: 4.0.0
    - Build-Depends: debhelper (>= 10)
  * debian/compat
    - set 10

 -- Hideki Yamane <henrich@debian.org>  Wed, 28 Jun 2017 21:08:35 +0900

plum (1:2.33.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat
    - set 9, fix "plum: Removal of debhelper compat 4" (Closes: #817620) 
  * debian/rules
    - Depends: debhelper (>= 9) as changed as above
    - use dh
      + fix "Removal dh_undocumented debhelper command" (Closes: #815608)
  * debian/source/format
    - use "3.0 (quilt)"
  * debian/patches
    - convert old patches to quilt patch
    - 0006-adjust-path.patch: previous version modifies orig tarball in
      debian.diff.gz and it causes problem with build, separate patch is
      better.
      + add epoch since upload is rejected with different orig.tar.gz...
  * debian/control
    - remove perl5 for Depends, unnecessary
    - fix debhelper-but-no-misc-depends
    - set Standards-Version: 3.9.8
    - add Homepage and Vcs-* field
  * debian/copyright
    - fix "debian-copyright-file-uses-obsolete-national-encoding"
    - update to copyright format 1.0

 -- Hideki Yamane <henrich@debian.org>  Wed, 27 Apr 2016 22:05:31 +0900

plum (2.33.1-10) unstable; urgency=low

  * It's still maintained by the maintainer, new package is uploaded.
    (Closes: #328795)
  * debian/control: New maintainer mail address.
  * debian/copyright: Distinguish between Copyright Holder and License.
    (Closes: #302980)
  * Finish /usr/doc transition by rebuild.  (Closes: #359554)
  * Fix /usr/share/doc/plum/module.html refers to local patchs.
    (Closes: #145672)
  * Move /usr/lib/plum executables to /usr/share/plum, because it's arch
    independent files.
  * debian/README.Debian: Very minimal English documentation.  (Closes: #61630)
  * Updating Standards-Version: 3.6.2.  Update debian/compat and
    debian/control.
  * debian/patch0.plum-debian: Renamed from patch.plum-debian.
  * debian/patch1.bind: Renamed from patch.bind.
  * debian/patch2.timeout: Added to change default timeout from 120 to 20.
  * debian/patch3.string0fix: Added to fix string "0" line bug that modifies
    only "0" line to the empty line during input/output with IRC clients.
    Note that  this fix is limited only to the plum main privmsg routine,
    but other modules should be also fixed.  Patch proposed by
    Fumitoshi UKAI <ukai@debian.or.jp>.  (Closes: #340331)
  * debian/patch4.jisSOfix: Added to fix jis_jis function SO bug fix.
    If "\cO" (SI) is specified, $kanji mode expects 2 (SO Hankaku-kana
    was already specified), and the ASCII mode (ESC $ B) should be
    issued.  But the current code does not work correctly because of
    "$kanji != 2".  Patch proposed by MATSUDA Yoh-ichi <yoh@flcl.org>.
    (Closes: #204470)

 -- GOTO Masanori <gotom@debian.org>  Sun,  14 May 2006 01:48:49 +0900

plum (2.33.1-9) unstable; urgency=low

  * Updating Standards-Version: 3.5.2.

 -- GOTO Masanori <gotom@debian.or.jp>  Mon,  7 May 2001 22:06:50 +0900

plum (2.33.1-8) unstable; urgency=low

  * debian/patch.plum-debian: refix perl dependency from perl-5.005 to perl.

 -- GOTO Masanori <gotom@debian.or.jp>  Thu, 15 Mar 2001 19:28:04 +0900

plum (2.33.1-7) unstable; urgency=low

  * debian/control: Modify depends field to support perl-5.6.

 -- GOTO Masanori <gotom@debian.or.jp>  Mon,  5 Mar 2001 13:39:07 +0900

plum (2.33.1-6) unstable; urgency=low

  * module/*: Remove first line because perl 5.6 cannot deal with this line.
    (closes: Bug#78306).

 -- GOTO Masanori <gotom@debian.or.jp>  Sun,  4 Mar 2001 23:32:49 +0900

plum (2.33.1-5) unstable; urgency=low

  * debian/patch.bind: Refix applying the patch (closes: Bug#67526).
  * debian/plum: run /usr/bin/perl-5.005 instead of /usr/bin/perl
    because plum cannot work with perl 5.6 (closes: Bug#76860).
  * doc/*.html: Fixed unfollowable documents links (closes: Bug#72871).

 -- GOTO Masanori <gotom@debian.or.jp>  Fri,  2 Mar 2001 04:09:15 +0900

plum (2.33.1-4) unstable; urgency=low

  * debian/patch.bind: added patch to fix Bug#67526, created by
    Yoshinori Hasegawa <hasegawa@madoka.org>.
    (closes: Bug#67526).

 -- GOTO Masanori <gotom@debian.or.jp>  Tue,  8 Aug 2000 02:53:33 +0900

plum (2.33.1-3) unstable; urgency=low

  * Fix incorrect links in /usr/share/doc/plum/* documents.
  * The column of log/daily.plm and log/recent.plm in plum-default.conf
  changed from + to - because if a user uses this .conf file, he gets
  an error when plum is booting up with it.

 -- GOTO Masanori <gotom@debian.or.jp>  Mon, 24 Jan 2000 18:32:09 +0900

plum (2.33.1-2) unstable; urgency=low

  * Fix /usr/bin/plum is not executable binary.

 -- GOTO Masanori <gotom@debian.or.jp>  Wed, 17 Nov 1999 13:06:26 +0900

plum (2.33.1-1) unstable; urgency=low

  * Initial Release.

 -- GOTO Masanori <gotom@debian.or.jp>  Tue,  2 Nov 1999 13:12:23 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: plum
Section: net
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Homepage: http://plum.madoka.org/plum.html
Vcs-Git: https://anonscm.debian.org/git/collab-maint/plum.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/plum.git/

Package: plum
Architecture: all
Depends: perl, ${misc:Depends}
Multi-Arch: allowed
Description: IRC proxy, stationing, logging, and bot program (pirc)
 plum works as personal proxy, stationing, logging, and bot program on
 IRC (Internet Relay Chat). It has many modules, so the user can use
 a lot of functions. It is also easy to customize its configurations.
 Note that its documents are only available in Japanese.
